# splitter_functor< input_t > Struct Template Reference

Splitter for classical Hopcroft minimization. More...

List of all members.

## Public Member Functions

bool | compute_states_going_in (const hstates_t &ss, letter_t l)
| True if there's a transition arriving in one of the states ss with letter l.
void | execute (partition_t &partition, to_treat_t &to_treat, unsigned &n_partition)
| Split partition if needed.

## Detailed Description

### template<typename input_t>
struct vcsn::internal::hopcroft_minimization_det::splitter_functor< input_t >

Splitter for classical Hopcroft minimization.

Definition at line 55 of file minimization_hopcroft.hxx.

## Member Function Documentation

bool compute_states_going_in | ( | const hstates_t & | ss,
|  | letter_t | l |
| ) |  |  | `[inline]`

True if there's a transition arriving in one of the states ss with letter l.

For each state, store its class (partition) and count.

Definition at line 74 of file minimization_hopcroft.hxx.